namespace NetinaShop.AdminPanel.PWA.Services.RestServices;

public interface IBrandRestApi
{

    [Get("")]
    Task<List<BrandSDto>> ReadAll();
    [Get("")]
    Task<List<BrandSDto>> ReadAll([Query] int page);
    [Get("")]
    Task<List<BrandSDto>> ReadAll([Query] int page, [Query] string brandName);
    [Get("")]
    Task<List<BrandSDto>> ReadAll([Query] string brandName);
}